com.verisign.epp.codec.fee.v1_0

## Class EPPFeeTrnData

- java.lang.Object
- - com.verisign.epp.codec.fee.v1_0.EPPFeeTransformResult
  - - com.verisign.epp.codec.fee.v1_0.EPPFeeTrnData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPFeeTrnData
      extends EPPFeeTransformResult

  Fee Transfer Result Extension that enables a server to pass the resulting fee for the transfer command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeTrnData`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeTrnData`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPFeeTrnData()` Default constructor for `EPPFeeTrnData`.
    `EPPFeeTrnData(java.lang.String aCurrency, EPPFeePeriod aPeriod, java.util.List<EPPFeeValue> aFees, java.util.List<EPPFeeCredit> aCredits)` Constructor for `EPPFeeTrnData` that takes all transfer query response attributes.
    `EPPFeeTrnData(java.lang.String aCurrency, EPPFeeValue aFee)` Constructor for `EPPFeeTrnData` that takes the required currency parameter along with a single fee.
    `EPPFeeTrnData(java.lang.String aCurrency, java.util.List<EPPFeeValue> aFees)` Constructor for `EPPFeeTrnData` that takes all transfer request response attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getLocalName()` Returns the local name "trnData" for the transfer data.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected void` | `validateAttributes()` Validate the set of attributes on `encode`.

    - ### Methods inherited from class com.verisign.epp.codec.fee.v1_0.EPPFeeTransformResult

      `addCredit, addFee, clone, decode, encode, equals, getBalance, getCreditLimit, getCredits, getCurrency, getFees, getPeriod, hasBalance, hasCreditLimit, hasCredits, hasCurrency, hasFees, hasPeriod, setBalance, setCreditLimit, setCredits, setCurrency, setFees, setPeriod, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPFeeTrnData`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPFeeTrnData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPFeeTrnData

          public EPPFeeTrnData()

      Default constructor for `EPPFeeTrnData`.

    - #### EPPFeeTrnData

          public EPPFeeTrnData(java.lang.String aCurrency,
                               EPPFeeValue aFee)

      Constructor for `EPPFeeTrnData` that takes the required currency parameter along with a single fee.
      Parameters:
        `aCurrency` - Currency of the fee
        `aFee` - A single fee value

    - #### EPPFeeTrnData

          public EPPFeeTrnData(java.lang.String aCurrency,
                               java.util.List<EPPFeeValue> aFees)

      Constructor for `EPPFeeTrnData` that takes all transfer request response attributes.
      Parameters:
        `aCurrency` - Currency of the fee
        `aFees` - List of fees

    - #### EPPFeeTrnData

          public EPPFeeTrnData(java.lang.String aCurrency,
                               EPPFeePeriod aPeriod,
                               java.util.List<EPPFeeValue> aFees,
                               java.util.List<EPPFeeCredit> aCredits)

      Constructor for `EPPFeeTrnData` that takes all transfer query response attributes.
      Parameters:
        `aCurrency` - Currency of the fee
        `aPeriod` - Transfer period of transfer request
        `aFees` - List of fees
        `aCredits` - The credits to set. Set to `null` for no credits.

  - ### Method Detail

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns the local name "trnData" for the transfer data.
      Specified by:
        `getLocalName` in class `EPPFeeTransformResult`
      Returns:
        Local name "trnData" for the transfer data.

    - #### validateAttributes

          protected void validateAttributes()
                                     throws EPPEncodeException

      Validate the set of attributes on `encode`.
      Specified by:
        `validateAttributes` in class `EPPFeeTransformResult`
      Throws:
        `EPPEncodeException` - When an attribute is incorrect set or not set.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.